/*
 * Arrebol Consultancy copyright.
 * 
 * This code belongs to Arrebol Consultancy
 * its use, redistribution or modification are prohibited 
 * without written authorization from Arrebol Consultancy.
 */
package com.arrebol.apc.model.views;

import com.arrebol.apc.model.core.Office;
import java.io.Serializable;
import java.math.BigDecimal;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import org.hibernate.annotations.Immutable;

/**
 *
 * @author Oscar Armando Vargas Cardenas <oscar.vargas@arrebol.com.mx>
 */
@Entity
@Immutable
@Table(name = "APC_COBRANZA_WEEK_BY_USER_VIEW")
public class CobranzaWeekByUserView implements Serializable{

    private static final long serialVersionUID = 3055231364366461069L;
    
    @Id
    @Column(name = "id", length = 36)
    private String id;
    
    @Column(name = "username")
    private String userName;
    
    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(
            name = "id_office",
            referencedColumnName = "id",
            nullable = false
    )
    private Office office;
    
    @Column(name = "cobranza_monday")
    private BigDecimal cobranzaMonday;
    
    @Column(name = "cobranza_tuesday")
    private BigDecimal cobranzaTuesday;
    
    @Column(name = "cobranza_wednesday")
    private BigDecimal cobranzaWednesday;
    
    @Column(name = "cobranza_thursday")
    private BigDecimal cobranzaThursday;
    
    @Column(name = "cobranza_friday")
    private BigDecimal cobranzaFriday;
    
    @Column(name = "cobranza_saturday")
    private BigDecimal cobranzaSaturday;
    
    @Column(name = "cobranza_total")
    private BigDecimal cobranzaTotal;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public Office getOffice() {
        return office;
    }

    public void setOffice(Office office) {
        this.office = office;
    }

    public BigDecimal getCobranzaMonday() {
        return cobranzaMonday;
    }

    public void setCobranzaMonday(BigDecimal cobranzaMonday) {
        this.cobranzaMonday = cobranzaMonday;
    }

    public BigDecimal getCobranzaTuesday() {
        return cobranzaTuesday;
    }

    public void setCobranzaTuesday(BigDecimal cobranzaTuesday) {
        this.cobranzaTuesday = cobranzaTuesday;
    }

    public BigDecimal getCobranzaWednesday() {
        return cobranzaWednesday;
    }

    public void setCobranzaWednesday(BigDecimal cobranzaWednesday) {
        this.cobranzaWednesday = cobranzaWednesday;
    }

    public BigDecimal getCobranzaThursday() {
        return cobranzaThursday;
    }

    public void setCobranzaThursday(BigDecimal cobranzaThursday) {
        this.cobranzaThursday = cobranzaThursday;
    }

    public BigDecimal getCobranzaFriday() {
        return cobranzaFriday;
    }

    public void setCobranzaFriday(BigDecimal cobranzaFriday) {
        this.cobranzaFriday = cobranzaFriday;
    }

    public BigDecimal getCobranzaSaturday() {
        return cobranzaSaturday;
    }

    public void setCobranzaSaturday(BigDecimal cobranzaSaturday) {
        this.cobranzaSaturday = cobranzaSaturday;
    }

    public BigDecimal getCobranzaTotal() {
        return cobranzaTotal;
    }

    public void setCobranzaTotal(BigDecimal cobranzaTotal) {
        this.cobranzaTotal = cobranzaTotal;
    }

    
}
